
/*-------------------------------------------------------------------------
 *
 * viewUpdate.h
 *
 * Portions Copyright (c) 1996-2006, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * $PostgreSQL$
 *
 *-------------------------------------------------------------------------
 */
#ifndef VIEW_UPDATE_H
#define VIEW_UPDATE_H

#include "nodes/parsenodes.h"
#include "nodes/primnodes.h"

extern void
CreateViewUpdateRules(const Query *viewDef, const RangeVar *var, bool checkOption,
					  bool cascade);
extern char
makeViewCheckOption(bool check, bool cascaded);

#endif /* VIEW_UPDATE_H */
